PT BIA - Bug #3906

ESS Overtime - Validasi End Date tidak boleh lebih kecil dari Start Date
09/19/2025 10:18 AM - Mr lkmal

Status: QA Test Start date: 09/19/2025
Priority: Normal Due date: 09/19/2025
Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear team Developer,

Mohon bantuannya untuk menambahkan validasi pada ESS Overtime.
Pada bagian Grid Main (table: PDSWFMDOVERTIME), field Start Date dan End Date perlu diberi validasi agar saat requester (task
create) menginput EndDate yang lebih kecil dari StartDate, maka pengajuan tidak dapat disubmit.

Atau referensi nya, ada validasi serupa juga pada ESS Leave di pilihan tanggal yang tampil (terlampir screenshot), kalau bisa dibuat
seperti itu boleh juga ya.

Video demo testing:
https://drive.google.com/file/d/1eQ_Smxb_9jMWuyin5-xuNH-wLhoX7tsT/view?usp=sharing

Terima kasih.

PORT DEV : http://remote.minovais.com:61139/
DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA BaseServerCloud

History

#1 - 09/19/2025 10:19 AM - Mr lkmal
- File Screenshot 2025-09-19 101940.png added

#2 - 09/19/2025 12:43 PM - Kezia Pawitra Yulianti
- Due date set to 09/19/2025
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

#3 - 09/29/2025 05:55 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr lkmal

dear ikmal , udah bisa di test semua ya kecuali no 1 itu kan bisa lebih dari satu kalau dia 2 record dengan tanggal yang berbeda gimana jadi di
samain semua tanggalnya ?

package :
bizproc(afterrender,beforesubmit,init,method)

messagecatalog (TESTEROR,VALOVRDT)

makasih

Files

Screenshot 2025-09-17 112035.png 29.7 KB 09/19/2025 Mr [kmal
Screenshot 2025-09-19 101940.png 14.8 KB 09/19/2025 Mr [kmal
